cascading

## Class FieldedPipesPlatformTest.LowerComparator

- java.lang.Object
- - cascading.FieldedPipesPlatformTest.LowerComparator

All Implemented Interfaces:
  Hasher<Comparable>, Serializable, Comparator<Comparable>

Enclosing class:
  FieldedPipesPlatformTest

    public static class FieldedPipesPlatformTest.LowerComparator
    extends Object
    implements Comparator<Comparable>, Hasher<Comparable>, Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FieldedPipesPlatformTest.LowerComparator()`

### Method Summary

Methods
`int` `compare(Comparable lhs, Comparable rhs)`
`int` `hashCode(Comparable value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### FieldedPipesPlatformTest.LowerComparator

    public FieldedPipesPlatformTest.LowerComparator()

### Method Detail

#### compare

    public int compare(Comparable lhs,
              Comparable rhs)

Specified by:
  `compare` in interface `Comparator<Comparable>`

#### hashCode

    public int hashCode(Comparable value)

Specified by:
  `hashCode` in interface `Hasher<Comparable>`